package cn.estsh.i3plus.pojo.model.lac;

import cn.estsh.i3plus.pojo.lac.bean.LacCommandStackRecord;
import cn.estsh.i3plus.pojo.lac.bean.LacCommandStackTemplate;
import lombok.Data;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @Description : lac指令集model
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-10-29 15:29
 * @Modify:
 **/
@Data
public class LacCommandStackModel {

    /**
     * 指令集记录id
     */
    private Long recordId;

    /**
     * 指令集模板
     */
    @Deprecated
    private LacCommandStackTemplate commandStackTemplate;

    /**
     * 指令集记录
     */
    private LacCommandStackRecord commandStackRecord;

    /**
     * 请求数据
     */
    private LacSuitRequest request;

    /**
     * 响应数据
     */
    private LacSuitResponse response;

    /**
     * 任务原始报文
     * key : 任务编号
     * value ： 原始报文
     */
    private Map<Long, Object> orginMessage = new ConcurrentHashMap<>();

    /**
     * 任务转换后报文
     * key : 任务编号
     * value ： 转换后报文
     */
    private Map<Long, String> transMessage = new ConcurrentHashMap<>();

}
